Bug 1487774 - Flash validation message should be shown instead API pop up window for creating dialog without label
Summary: Flash validation message should be shown instead API pop up window for creati...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Roman Blanco
QA Contact: Matouš Mojžíš
URL:
Whiteboard: flash_msg:ui:automate:dialog
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 21:30 UTC by Shveta
Modified: 2018-06-19 16:59 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 15:49:24 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
error (100.37 KB, image/png)
2017-09-01 21:30 UTC, Shveta
no flags Details

Description Shveta 2017-09-01 21:30:23 UTC
Created attachment 1321104 [details]
error

Description of problem:


Version-Release number of selected component (if applicable):
master.20170901162258_bf64a63 

How reproducible:


Steps to Reproduce:
1. Create a new dialog with the new dialog editor (drag and drop)
2. Save the dialog without filling any data .
3. Pop -up window with API error is shown as in attached screenshot.

Actual results:


Expected results: Flash message should be shown in consistent with the rest of the UI .


Additional info:

Comment 2 Roman Blanco 2017-10-03 13:49:55 UTC
Fixed in https://github.com/ManageIQ/ui-components/pull/137

These changes do not give a user option to submit the dialog without filling the necessary data.

Comment 3 Matouš Mojžíš 2017-11-15 15:24:21 UTC
Verified in 5.9.0.8. I can't save dialog without having at least one tab with at least one element.

Comment 5 Matouš Mojžíš 2018-06-19 16:59:20 UTC
One time issue. Setting qe_test_coverage flag to -.


Note You need to log in before you can comment on or make changes to this bug.